# JeeLinkLogMQTT - change log

## 2024-12-28
* combined outside sensors: add option outside_sensors_force_minimum_value to force usage of the lowest sensor reading from all combined outside sensors rather than average oder median
* combined outside sensors: fixed handling auf minimum and maximum humidity (use humidity from sensor with lowest temperature reading instead of the lowest humidity reading)
* combined outside sensors: always calculate median, but only if more than 2 sensors are present
* combined outside sensors: only use median even if configured if more than 2 sensors are present, otherwise average (if outside_sensors_force_minimum_value is false)
* add some more comments to source file and ini file

## 2024-03-29
* add option to speficy JeeLink initialisation command (support different sensor baud rates concurrently by set JeeLink to toggle mode, i.E. when using TX29 AND TX35 sensors)
* add config option (Jeelink) initTimeout
* minor improvements

## 2024-03-19
* support LaCrosse-ID value 0

## 2023-11-30
* add LaCrosse/lastUpdate MQTT output for monitoring purposes, updates every time any sensor data is received

## 2023-01-27
* add exit program if nothing has been received from JeeLink for 5 minutes (will be restarted by systemd)

## 2022-11-14

* fix config mqtt/enable did not work (was always true)
* fix config sensors/outside_sensors_use_median did not work (was always true)
* add dewpoint calculation and config settings calculate_dewpoint, write_dewpoint_to_influxdb
* add absolute humidity calculation and config setting calculate_absolute_humidity, write_abshum_to_influxdb
* add config switches: publish_unknown_sensors, publish_unknown_new_sensors
* add InfluxDB fieldnames/datatypes for dewpoint and absolute humidity
* fixed wrong defined influx_default_datatype_humidity
* add store combined outdoor sensors to InfluxDB

## 2022-11-08

* updated README.md
* fix unlimited decimal places in median calculation

## 2022-11-07

* updated README.md

## 2022-08-02

* add median value calculation instead of arithmetic average for outside sensors

## 2021-10-14

* removed state string "NEW" from /battery topic and added own topic /batteryNew, as Home Assistant MQTT binary sensor can only work with 2 states (unless using value templates)

## 2021-08-30

* BUGFIX: check correct size of incoming data and prevent crash if invalid

## 2020-11-29

* small bugfixes

## 2020-10-17

* initial checkin after rework of "Jeelink2MQTT"
